Trust Centers
Get Trust Center subprocessor
Gets a specific subprocessor on a Trust Center.
GET
/
trust-centers
/
{slugId}
/
subprocessors
/
{subprocessorId}
Get Trust Center subprocessor
curl --request GET \
--url https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors/{subprocessorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors/{subprocessorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors/{subprocessorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"name": "Acme, Inc.",
"description": "This is the description for the subprocessor.",
"location": "US, EU",
"purpose": "Cloud infrastructure",
"url": "acme.com"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Ok
Unique identifier for the subprocessor.
Name of the subprocessor.
Description of the subprocessor.
Where this subprocessor is deployed.
The purpose that the subprocessor serves.
URL of the subprocessor.
Was this page helpful?
⌘I
Get Trust Center subprocessor
